Bug 234542 - LLInt should loop OSR into BBQ and BBQ should loop OSR into OMG
Summary: LLInt should loop OSR into BBQ and BBQ should loop OSR into OMG
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-20 18:16 PST by Saam Barati
Modified: 2021-12-22 17:14 PST (History)
7 users (show)

See Also:


Attachments
patch (58.26 KB, patch)
2021-12-21 19:02 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch (61.06 KB, patch)
2021-12-22 10:28 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch (61.48 KB, patch)
2021-12-22 11:37 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch (61.40 KB, patch)
2021-12-22 13:40 PST, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2021-12-20 18:16:34 PST
...
Comment 1 Saam Barati 2021-12-21 19:02:30 PST
Created attachment 447772 [details]
patch
Comment 2 Saam Barati 2021-12-22 10:28:52 PST
Created attachment 447815 [details]
patch
Comment 3 Saam Barati 2021-12-22 11:37:04 PST
Created attachment 447823 [details]
patch
Comment 4 Yusuke Suzuki 2021-12-22 13:37:33 PST
Comment on attachment 447823 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=447823&action=review

> Source/JavaScriptCore/wasm/WasmOSREntryPlan.cpp:76
> +    //CompilationMode targetCompilationMode = m_callee->compilationMode() == CompilationMode::LLIntMode ? CompilationMode::BBQForOSREntryMode : CompilationMode::OMGForOSREntryMode;
> +    CompilationMode targetCompilationMode =  CompilationMode::OMGForOSREntryMode;

Is this comment-out intentional?
It looks like we are always compiling it via OMG, which is not aligned to the bug's title.
Comment 5 Saam Barati 2021-12-22 13:40:49 PST
Created attachment 447830 [details]
patch
Comment 6 Yusuke Suzuki 2021-12-22 13:45:52 PST
Comment on attachment 447830 [details]
patch

r=me
Comment 7 EWS 2021-12-22 17:13:36 PST
Committed r287379 (245519@main): <https://commits.webkit.org/245519@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 447830 [details].
Comment 8 Radar WebKit Bug Importer 2021-12-22 17:14:20 PST
<rdar://problem/86831763>